Public Date:
755640: CVE-2011-4327 openssh: Unauthorized local access to host keys on platforms where ssh-rand-helper used

The MITRE CVE dictionary describes this issue as:

ssh-keysign.c in ssh-keysign in OpenSSH before 5.8p2 on certain platforms executes ssh-rand-helper with unintended open file descriptors, which allows local users to obtain sensitive key information via the ptrace system call.

Find out more about CVE-2011-4327 from the MITRE CVE dictionary dictionary and NIST NVD.


Not vulnerable. This issue did not affect the versions of openssh as shipped with Red Hat Enterprise Linux 4, 5, and 6, as they use a built-in entropy pool to generate and retrieve entropy information when performing host-based authentication.

CVSS v2 metrics

NOTE: The following CVSS v2 metrics and score provided are preliminary and subject to review.

Base Score 2.1
Base Metrics AV:L/AC:L/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None

Find out more about Red Hat support for the Common Vulnerability Scoring System (CVSS).

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 4 openssh Not affected
Red Hat Enterprise Linux 5 openssh Not affected
Red Hat Enterprise Linux 6 openssh Not affected